/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;


/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.4 $
 */
public class RolesReferencedImpl implements javax.annotation.security.RolesReferenced
{
   private String[] v;

   public RolesReferencedImpl(String[] v)
   {
      this.v = v;
   }

   public String[] value()
   {
      return v;
   }

   public Class annotationType()
   {
      return javax.annotation.security.RolesReferenced.class;
   }

}
